#include <iostream>
using namespace std;



int main()
{

	
	int n,i,j;
	int temp;
	

	cin>>n;
	
	int knjige[n];
	int knjige2[n];
	for(i=0;i<n;i++)
	{
		cin>>knjige[i];
		knjige2[i]=knjige[i];
	}



	for(i=0;i<n;i++)
	{		
		for(j=i+1;j<n;j++)
		{
			if(knjige[i]<knjige[j])
			{
				temp  =knjige[i];
				knjige[i]=knjige[j];
				knjige[j]=temp;
			}
		}
	}

    int d=-1;
    int najveci = 0, zamena=0; 
	for(i=0;i<n;i++)
	{
	    
	  if (knjige2[i]!=knjige[i])
	  {
	      
	   d=i;
	   najveci = knjige[i];
	   zamena = knjige2[i];
	   i=n;
	 }
	      
	       
	}
	int t=0;
	int g=0;
	int m=0;
	if(d<0)
	{
	  m = knjige2[n-1];
	  knjige2[n-1]=knjige2[n-2];
	  knjige2[n-2]=m; 
	    
	}
	else {
	for(i=0;i<n;i++)
	{
	    if(knjige2[i]==najveci)
	    {
	        t=i;
	    }     
    }
   g = knjige2[t];
   knjige2[t] = knjige2[d];
   knjige2[d] = g;
	}
   
  for(i=0;i<n;i++)
  {
      

    cout<<knjige2[i]<<" ";

      
  }
  
  return 0;	
}